public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mike Frysinger" <vapier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-wm/enlightenment/
Date: Wed, 30 Dec 2015 20:40:52 +0000 (UTC)	[thread overview]
Message-ID: <1451508036.d3f9fea057b6344b3de1b209a64c705b5839a4d5.vapier@gentoo> (raw)

commit:     d3f9fea057b6344b3de1b209a64c705b5839a4d5
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 30 19:13:03 2015 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Wed Dec 30 20:40:36 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d3f9fea0

x11-wm/enlightenment: update configure flags and module lists

 .../enlightenment/enlightenment-0.17.9999.ebuild   | 85 ++++++++++++++++------
 x11-wm/enlightenment/metadata.xml                  | 13 ++++
 2 files changed, 74 insertions(+), 24 deletions(-)

diff --git a/x11-wm/enlightenment/enlightenment-0.17.9999.ebuild b/x11-wm/enlightenment/enlightenment-0.17.9999.ebuild
index 7d245d5..3b6c43a 100644
--- a/x11-wm/enlightenment/enlightenment-0.17.9999.ebuild
+++ b/x11-wm/enlightenment/enlightenment-0.17.9999.ebuild
@@ -21,25 +21,29 @@ DESCRIPTION="Enlightenment DR17 window manager"
 LICENSE="BSD-2"
 SLOT="0.17/${PV%%_*}"
 
-# The @ is just an anchor to expand from
-__EVRY_MODS=""
-__CONF_MODS="
-	+@applications +@comp +@dialogs +@display
-	+@interaction +@intl +@menus
-	+@paths +@performance +@randr +@shelves +@theme +@wallpaper2
-	+@window-manipulation +@window-remembers"
-__NORM_MODS="
-	@access +@appmenu +@backlight +@bluez4 +@battery +@clock
-	+@connman +@contact +@cpufreq +@everything +@fileman
-	+@fileman-opinfo +@gadman +@ibar +@ibox +@illume2 +@mixer +@msgbus
-	+@music-control +@notification +@pager +@quickaccess +@shot
-	+@start +@syscon +@systray +@tasks +@teamwork +@temperature +@tiling
-	+@winlist +@wizard @wl-desktop-shell @wl-screenshot +@xkbswitch"
-IUSE_E_MODULES="
-	${__CONF_MODS//@/enlightenment_modules_conf-}
-	${__NORM_MODS//@/enlightenment_modules_}"
+__CONF_MODS=(
+	applications bindings dialogs display
+	interaction intl menus
+	paths performance randr shelves theme
+	window-manipulation window-remembers
+)
+__NORM_MODS=(
+	appmenu backlight bluez4 battery
+	clock conf connman cpufreq everything
+	fileman fileman-opinfo gadman geolocation
+	ibar ibox lokker
+	mixer msgbus music-control notification
+	pager packagekit pager-plain policy-mobile quickaccess
+	shot start syscon systray tasks teamwork temperature tiling
+	winlist wizard wl-desktop-shell wl-drm wl-text-input
+	wl-weekeyboard wl-wl wl-x11 xkbswitch xwayland
+)
+IUSE_E_MODULES=(
+	${__CONF_MODS[@]/#/enlightenment_modules_conf-}
+	${__NORM_MODS[@]/#/enlightenment_modules_}
+)
 
-IUSE="pam spell static-libs systemd +udev ukit wayland ${IUSE_E_MODULES}"
+IUSE="pam spell static-libs systemd +udev ukit wayland ${IUSE_E_MODULES[@]/#/+}"
 
 RDEPEND="
 	pam? ( sys-libs/pam )
@@ -50,8 +54,8 @@ RDEPEND="
 		>=x11-libs/pixman-0.31.1
 		>=x11-libs/libxkbcommon-0.3.1
 	)
-	>=dev-libs/efl-${PV}[X]
-	>=media-libs/elementary-${PV}
+	>=dev-libs/efl-1.16[X]
+	>=media-libs/elementary-1.16
 	x11-libs/xcb-util-keysyms"
 DEPEND="${RDEPEND}"
 
@@ -62,23 +66,56 @@ src_prepare() {
 	enlightenment_src_prepare
 }
 
+# Sanity check to make sure module lists are kept up-to-date.
+check_modules() {
+	local detected=$(
+		awk -F'[\\[\\](, ]' '$1 == "AC_E_OPTIONAL_MODULE" { print $3 }' \
+		configure.ac | sed 's:_:-:g' | LC_COLLATE=C sort
+	)
+	local sorted=$(
+		printf '%s\n' ${IUSE_E_MODULES[@]/#enlightenment_modules_} | \
+		LC_COLLATE=C sort
+	)
+	if [[ ${detected} != "${sorted}" ]] ; then
+		local out new old
+		eerror "The ebuild needs to be kept in sync."
+		echo "${sorted}" > ebuild-iuse
+		echo "${detected}" > configure-detected
+		out=$(diff -U 0 ebuild-iuse configure-detected | sed -e '1,2d' -e '/^@@/d')
+		new=$(echo "${out}" | sed -n '/^+/{s:^+::;p}')
+		old=$(echo "${out}" | sed -n '/^-/{s:^-::;p}')
+		eerror "Add these modules: $(echo ${new})"
+		eerror "Drop these modules: $(echo ${old})"
+		die "please update the ebuild"
+	fi
+}
+
 src_configure() {
+	check_modules
+
 	E_ECONF=(
 		--disable-install-sysactions
 		$(use_enable doc)
-		--disable-device-hal
 		$(use_enable nls)
 		$(use_enable pam)
 		$(use_enable systemd)
 		--enable-device-udev
 		$(use_enable udev mount-eeze)
 		$(use_enable ukit mount-udisks)
-		$(use_enable wayland wayland-clients)
+		$(use_enable wayland)
 	)
 	local u c
-	for u in ${IUSE_E_MODULES} ; do
-		u=${u#+}
+	for u in ${IUSE_E_MODULES[@]} ; do
 		c=${u#enlightenment_modules_}
+		# Disable modules by hand since we default to enabling them all.
+		case ${c} in
+		wl-*|xwayland)
+			if ! use wayland ; then
+				E_ECONF+=( --disable-${c} )
+				continue
+			fi
+			;;
+		esac
 		E_ECONF+=( $(use_enable ${u} ${c}) )
 	done
 	enlightenment_src_configure

diff --git a/x11-wm/enlightenment/metadata.xml b/x11-wm/enlightenment/metadata.xml
index 41964c0..2ebc721 100644
--- a/x11-wm/enlightenment/metadata.xml
+++ b/x11-wm/enlightenment/metadata.xml
@@ -68,14 +68,19 @@ Enlightenment Features:
     <flag name="enlightenment_modules_fileman">Enlightenment's integrated file manager</flag>
     <flag name="enlightenment_modules_fileman-opinfo">Can be placed on the desktop or in a shelf</flag>
     <flag name="enlightenment_modules_gadman">Module to manage gadgets on the desktop</flag>
+    <flag name="enlightenment_modules_geolocation">Geolocation</flag>
     <flag name="enlightenment_modules_ibar">Iconic application launcher</flag>
     <flag name="enlightenment_modules_ibox">A home for your iconified applications</flag>
     <flag name="enlightenment_modules_illume2">Illume2 - next generation of illume - special WM mode for embedded devices and set of plugins with same purpose</flag>
+    <flag name="enlightenment_modules_lokker">Screen locker</flag>
     <flag name="enlightenment_modules_mixer">A module to provide a mixer for changing volume</flag>
     <flag name="enlightenment_modules_msgbus">DBus Extension</flag>
     <flag name="enlightenment_modules_music-control">Control your music in your shelf</flag>
     <flag name="enlightenment_modules_notification">notification-daemon alternative. Popup if an event occur</flag>
+    <flag name="enlightenment_modules_packagekit">Package manager integration</flag>
     <flag name="enlightenment_modules_pager">Gadget to allow you to visualize your virtual desktops and the windows they contain</flag>
+    <flag name="enlightenment_modules_pager-plain">A simpler desktop pager</flag>
+    <flag name="enlightenment_modules_policy-mobile"></flag>
     <flag name="enlightenment_modules_quickaccess">Enlightenment Quickaccess Launcher</flag>
     <flag name="enlightenment_modules_shot">Simple screenshot+save/upload module</flag>
     <flag name="enlightenment_modules_start">Enlightenment's "Start" button equivalent</flag>
@@ -88,9 +93,17 @@ Enlightenment Features:
     <flag name="enlightenment_modules_winlist">A module to show the list of client applications presently running</flag>
     <flag name="enlightenment_modules_wizard">First Run Wizard</flag>
     <flag name="enlightenment_modules_wl-desktop-shell">Enlightenment Wayland Desktop Shell</flag>
+    <flag name="enlightenment_modules_wl-drm">Wayland DRM (Direct Rendering Manager) compositing module</flag>
     <flag name="enlightenment_modules_wl-screenshot">Enlightenment Wayland Screenshot module</flag>
+    <flag name="enlightenment_modules_wl-text-input">Wayland text input support</flag>
+    <flag name="enlightenment_modules_wl-weekeyboard">Wayland virtual keyboard</flag>
+    <flag name="enlightenment_modules_wl-wl">Wayland-in-Wayland module</flag>
+    <flag name="enlightenment_modules_wl-x11">Wayland-in-X11 module</flag>
     <flag name="enlightenment_modules_xkbswitch">Keyboard layout configuration and switcher</flag>
+    <flag name="enlightenment_modules_xwayland">X/Wayland integration</flag>
+    <flag name="enlightenment_modules_conf">Settings Panel</flag>
     <flag name="enlightenment_modules_conf-applications">Allows configuration of Ibar, Restart, and Startup applications</flag>
+    <flag name="enlightenment_modules_conf-bindings">Input Control Settings</flag>
     <flag name="enlightenment_modules_conf-comp">Configure default dialog properties</flag>
     <flag name="enlightenment_modules_conf-dialogs">Configure default dialog properties</flag>
     <flag name="enlightenment_modules_conf-display">Used to configure your screen</flag>


             reply	other threads:[~2015-12-30 20:40 UTC|newest]

Thread overview: 118+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-12-30 20:40 Mike Frysinger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-18  8:02 [gentoo-commits] repo/gentoo:master commit in: x11-wm/enlightenment/ Joonas Niilola
2025-03-08  9:12 Joonas Niilola
2025-03-08  9:12 Joonas Niilola
2025-01-14  6:16 Joonas Niilola
2025-01-12  9:29 Joonas Niilola
2024-10-16 12:38 Joonas Niilola
2024-03-17  7:45 Joonas Niilola
2024-02-16 10:22 Joonas Niilola
2024-02-16 10:22 Joonas Niilola
2023-12-23 20:05 Joonas Niilola
2022-09-16 12:13 Joonas Niilola
2022-09-16 12:13 Joonas Niilola
2022-09-16 12:13 Joonas Niilola
2022-09-16  9:34 Joonas Niilola
2022-03-30  4:57 Joonas Niilola
2022-03-14 16:26 Joonas Niilola
2022-03-14 16:26 Joonas Niilola
2022-02-10 12:43 Joonas Niilola
2022-02-10 12:43 Joonas Niilola
2022-02-08  9:11 Joonas Niilola
2022-02-08  9:11 Joonas Niilola
2022-01-06  6:50 Joonas Niilola
2022-01-05  7:17 Joonas Niilola
2022-01-04 16:19 Joonas Niilola
2021-08-25  7:09 Joonas Niilola
2021-08-18  1:28 Sam James
2021-08-18  1:28 Sam James
2021-07-28  3:00 Yixun Lan
2021-07-26 19:51 Piotr Karbowski
2021-04-04 18:55 Andreas Sturmlechner
2021-02-27 15:48 Joonas Niilola
2020-11-25 12:27 Joonas Niilola
2020-11-25 12:27 Joonas Niilola
2020-09-27 20:09 Sam James
2020-09-07  8:55 David Seifert
2020-09-03 10:08 Joonas Niilola
2020-09-03 10:08 Joonas Niilola
2020-08-11 14:38 Joonas Niilola
2020-08-04 16:50 Joonas Niilola
2020-07-17  8:14 Joonas Niilola
2020-07-17  8:14 Joonas Niilola
2020-06-01  5:45 Joonas Niilola
2020-06-01  5:45 Joonas Niilola
2020-05-18  6:06 Joonas Niilola
2020-05-04 16:25 Joonas Niilola
2020-05-04 16:25 Joonas Niilola
2020-03-20 21:53 Matt Turner
2020-02-08  7:58 Joonas Niilola
2019-12-30 11:54 Joonas Niilola
2019-12-30 11:54 Joonas Niilola
2019-12-21  9:39 Joonas Niilola
2019-10-03 15:42 Joonas Niilola
2019-10-03 15:42 Joonas Niilola
2019-09-27  7:24 Joonas Niilola
2019-09-24 15:29 Joonas Niilola
2019-08-25  4:31 Joonas Niilola
2019-08-24 18:34 Joonas Niilola
2019-08-24  5:45 Joonas Niilola
2019-08-24  5:45 Joonas Niilola
2019-08-24  5:45 Joonas Niilola
2019-07-31  3:41 Joonas Niilola
2019-05-21  8:39 Michał Górny
2019-03-19  2:03 Thomas Deutschmann
2019-03-16 14:38 Mikle Kolyada
2018-09-18  7:10 Michał Górny
2018-09-16 19:35 Michał Górny
2018-09-09  7:46 Mikle Kolyada
2018-08-23  8:17 Patrice Clement
2018-07-10 11:11 Michał Górny
2018-07-09 20:30 Andreas Sturmlechner
2018-07-09  0:32 Mikle Kolyada
2018-07-07 14:52 Andreas Sturmlechner
2018-07-07 14:52 Andreas Sturmlechner
2018-06-22 18:50 Michał Górny
2018-06-19 22:34 Sergei Trofimovich
2018-06-19 22:34 Sergei Trofimovich
2018-06-17 12:43 Michał Górny
2018-06-13 18:52 Markus Meier
2018-06-13 18:52 Markus Meier
2018-06-09  9:48 Michał Górny
2018-06-09  9:48 Michał Górny
2018-06-04  7:33 Jeroen Roovers
2018-05-25 22:35 Aaron Bauman
2018-05-25 18:11 Aaron Bauman
2018-05-20  1:45 Aaron Bauman
2018-05-15 17:45 Michał Górny
2018-05-11  8:44 Michał Górny
2018-04-16 15:35 Michał Górny
2018-04-13 23:22 Aaron Bauman
2018-03-25 10:28 Michał Górny
2018-02-26 10:26 Michał Górny
2018-02-19 19:24 Michał Górny
2017-03-12  4:00 Mike Frysinger
2016-11-10 21:45 Mike Gilbert
2016-11-10  5:10 Mike Frysinger
2016-06-12  9:04 Patrick Lauer
2016-05-08 18:23 Patrick Lauer
2016-05-05  3:10 Mike Frysinger
2016-05-05  3:10 Mike Frysinger
2016-04-02  4:11 Mike Frysinger
2016-04-02  4:11 Mike Frysinger
2016-04-02  4:11 Mike Frysinger
2016-02-21 19:03 Mike Frysinger
2015-12-30 20:40 Mike Frysinger
2015-12-30 20:40 Mike Frysinger
2015-12-24 20:18 Mike Frysinger
2015-12-24 20:18 Mike Frysinger
2015-12-24 20:18 Mike Frysinger
2015-12-24 20:18 Mike Frysinger
2015-12-24 20:18 Mike Frysinger
2015-12-24 20:18 Mike Frysinger
2015-12-24 20:18 Mike Frysinger
2015-10-16 10:59 Michał Górny
2015-10-09 12:50 Mike Frysinger
2015-10-09 12:50 Mike Frysinger
2015-09-19  0:41 Mike Frysinger
2015-09-19  0:39 Mike Frysinger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1451508036.d3f9fea057b6344b3de1b209a64c705b5839a4d5.vapier@gentoo \
    --to=vapier@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox